summaryrefslogtreecommitdiff
path: root/taler-build
diff options
context:
space:
mode:
Diffstat (limited to 'taler-build')
-rwxr-xr-xtaler-build/update_doc_backoffice.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/taler-build/update_doc_backoffice.sh b/taler-build/update_doc_backoffice.sh
new file mode 100755
index 0000000..a098bef
--- /dev/null
+++ b/taler-build/update_doc_backoffice.sh
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+set -eu
+
+fetch () {
+ git clean -fdx
+ git fetch
+ # reset to updated upstream branch, but only if we're tracking a branch
+ branch=$(git rev-parse --abbrev-ref --symbolic-full-name @{u} 2>/dev/null || echo head)
+ git reset --hard "$branch"
+}
+
+cd $HOME/backoffice/doc/
+fetch
+make
+mkdir -p $HOME/build/backoffice/manual/pdf
+mkdir -p $HOME/build/backoffice/manual/html
+cp manual.pdf $HOME/build/backoffice/manual/pdf/
+cp manual.html $HOME/build/backoffice/manual/html/
+cp *.css $HOME/build/backoffice/manual/html/